Register a device on for a till
Register a new device to a till.
Required permissions: TILL
post/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/device
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+tillUidstringRequiredPattern:
Reference to a till.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
deviceIdentifierstringRequired
Responses
200
OK
No content
post/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/device
POST /v2/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/device HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 27
{
"deviceIdentifier": "text"
}200
OK
No content
Last updated
Was this helpful?

